Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl
Class AbstractRequest

    java.lang.Object
      org.richfaces.application.push.impl.AbstractRequest

All Implemented Interfaces:
  org.richfaces.application.push.Request

Direct Known Subclasses:
  RequestImpl

    public abstract class AbstractRequest

extends java.lang.Object
implements org.richfaces.application.push.Request

Author:
  Nick Belaevski

Constructor Summary
`AbstractRequest(org.atmosphere.cpr.AtmosphereResource<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> atmosphereResource, org.richfaces.application.push.Session session, java.util.concurrent.ExecutorService executorService)`

Method Summary
`void` | `flushMessages()`
`protected org.atmosphere.cpr.AtmosphereResource<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse>` | `getResource()`
`org.richfaces.application.push.Session` | `getSession()`
`boolean` | `isPolling()`
`boolean` | `isSuspended()`
`protected void` | `onBroadcast()`
`protected void` | `onDisconnect()`
`protected void` | `onResume()`
`protected void` | `onSuspend()`
`void` | `postMessage(org.richfaces.application.push.TopicKey topicKey, java.lang.String serializedMessage)`
`void` | `resume()`
`void` | `suspend()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRequest

    public AbstractRequest(org.atmosphere.cpr.AtmosphereResource<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> atmosphereResource,
                           org.richfaces.application.push.Session session,
                           java.util.concurrent.ExecutorService executorService)

Method Detail

### flushMessages

    public void flushMessages()
                       throws java.io.IOException

  Specified by:
    `flushMessages` in interface `org.richfaces.application.push.Request`
  Throws:
    `java.io.IOException`

### postMessage

    public void postMessage(org.richfaces.application.push.TopicKey topicKey,
                            java.lang.String serializedMessage)

### suspend

    public void suspend()
                 throws java.io.IOException

  Specified by:
    `suspend` in interface `org.richfaces.application.push.Request`
  Throws:
    `java.io.IOException`

### resume

    public void resume()
                throws java.io.IOException

  Specified by:
    `resume` in interface `org.richfaces.application.push.Request`
  Throws:
    `java.io.IOException`

### isSuspended

    public boolean isSuspended()

  Specified by:
    `isSuspended` in interface `org.richfaces.application.push.Request`

### isPolling

    public boolean isPolling()

  Specified by:
    `isPolling` in interface `org.richfaces.application.push.Request`

### getSession

    public org.richfaces.application.push.Session getSession()

  Specified by:
    `getSession` in interface `org.richfaces.application.push.Request`

### getResource

    protected org.atmosphere.cpr.AtmosphereResource<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> getResource()

### onSuspend

    protected void onSuspend()

### onResume

    protected void onResume()

### onDisconnect

    protected void onDisconnect()

### onBroadcast

    protected void onBroadcast()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.